Bug 599502 - [abrt] crash in php-cli-5.3.2-2.fc13: Process /usr/bin/php was killed by signal 6 (SIGABRT)
[abrt] crash in php-cli-5.3.2-2.fc13: Process /usr/bin/php was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zarafa (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
abrt_hash:b16538293d03958b55daa1632ad...
:
: 599062 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 07:47 EDT by John
Modified: 2011-06-27 13:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.26 KB, text/plain)
2010-06-03 07:47 EDT, John
no flags Details

  None (edit)
Description John 2010-06-03 07:47:42 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: php -r 'echo rand(0,10);'
component: php
executable: /usr/bin/php
global_uuid: b16538293d03958b55daa1632ad647c177617385
kernel: 2.6.33.5-112.fc13.x86_64
package: php-cli-5.3.2-2.fc13
rating: 4
reason: Process /usr/bin/php was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 John 2010-06-03 07:47:45 EDT
Created attachment 419338 [details]
File: backtrace
Comment 2 Joe Orton 2010-06-03 08:17:48 EDT
The crash is deep inside a C++ constructor function in libvime, linked in via php-mapi, part of the zarafa package.
Comment 3 Robert Scheck 2010-06-03 08:25:04 EDT
John, are you able to reproduce that using "php -r 'echo rand(0,10);'"?
Comment 4 Remi Collet 2010-06-03 13:52:46 EDT
*** Bug 599062 has been marked as a duplicate of this bug. ***
Comment 5 John 2010-06-04 07:56:16 EDT
(In reply to comment #3)
> John, are you able to reproduce that using "php -r 'echo rand(0,10);'"?

reproduce available after commenting
mapi.so extension into file "/etc/php.d/zarafa.ini"

e.g:

; Enable Zarafa mapi extension module
; extension=mapi.so
Comment 6 Robert Scheck 2010-06-06 19:18:51 EDT
Notified upstream about this - even I'm still not able to reproduce this
issue. May you please provide the output of "rpm -qa | grep ^php-" here?
Comment 7 Joe Orton 2010-06-07 03:27:06 EDT
If you can reproduce the crash without zarafa configured, can you please provide a new backtrace?  Try:

gdb --args php -r 'echo rand(0,10);' | tee php.debug
...
(gdb) run
...crash...
(gdb) bt full
...
(gdb) quit

and then attack "php.debug" to this bug report.
Comment 8 Robert Scheck 2010-09-12 20:36:41 EDT
John, is the issue still reproducible with php-mapi-6.40.2 (updates-testing)?
Comment 9 Bug Zapper 2011-06-02 08:14:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 13:24:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.